# 🚀 zecsy - a lightweight, header-only ecs library 

Welcome to **zecsy** - the *sexy*, lightweight, and easy-to-use Entity Component System (ECS) library for C++! 🎉 Whether you're building a game, a simulation, or just exploring the world of ECS, zecsy is here to make your life easier, faster, and a little more fun. 🎮

## 🌟 Features

- 📂 **Header-Only**: Just include the headers and you're good to go! No linking, no fuss. 

- 🪶 **Lightweight**: Designed to be minimal and efficient. No bloat, just the essentials. 

- 🛠️ **Easy to Use**: Intuitive API that gets out of your way and lets you focus on your project. 

- 🧩 **Flexible**: Supports dynamic entity creation, component management, and system execution. 

- 😎 **Sexy**: Because who doesn't want their code to look good?

